Skip to content

Call Handling

All operations require authentication.

61 operationsv1/telephony/{billingAccount}
Agent setup

List speed dial numbersProduction

GET
/1.0/telephony/{billingAccount}/abbreviatedNumber

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200integer[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/abbreviatedNumber \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a speed dial numberProduction

GET
/1.0/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber}

Path parameters

abbreviatedNumber
required
integer

The abbreviated number which must start with "7" and must have a length of 3 or 4 digits

billingAccount
required
string

The name of your billingAccount

Response

200AbbreviatedNumberGroupsuccessful operation
abbreviatedNumber
read-only
integer

The abbreviated number which must start with "7" and must have a length of 3 or 4 digits

destinationNumber
phoneNumber

The destination of the abbreviated number

name
string
—
surname
string
—

Example uses abbreviatedNumber = 0, billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "abbreviatedNumber": 0, "destinationNumber": "string", "name": "string", "surname": "string"}

Create a speed dial numberProduction

POST
/1.0/telephony/{billingAccount}/abbreviatedNumber

Path parameters

billingAccount
required
string

The name of your billingAccount

Request body (required)

abbreviatedNumber
required
integer

The abbreviated number which must start with "7" and must have a length of 3 or 4 digits

destinationNumber
required
phoneNumber

The destination of the abbreviated number

name
required
string
—
surname
required
string
—

Response

200AbbreviatedNumberGroupsuccessful operation
abbreviatedNumber
read-only
integer

The abbreviated number which must start with "7" and must have a length of 3 or 4 digits

destinationNumber
phoneNumber

The destination of the abbreviated number

name
string
—
surname
string
—

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/abbreviatedNumber \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "abbreviatedNumber": 0, "destinationNumber": "string", "name": "string", "surname": "string"}

Delete a speed dial numberProduction

DELETE
/1.0/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber}

Path parameters

abbreviatedNumber
required
integer

The abbreviated number which must start with "7" and must have a length of 3 or 4 digits

billingAccount
required
string

The name of your billingAccount

Response

200—successful operation

Example uses abbreviatedNumber = 0, billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a speed dial numberProduction

PUT
/1.0/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber}

Path parameters

abbreviatedNumber
required
integer

The abbreviated number which must start with "7" and must have a length of 3 or 4 digits

billingAccount
required
string

The name of your billingAccount

Request body (required)

abbreviatedNumber
read-only
integer

The abbreviated number which must start with "7" and must have a length of 3 or 4 digits

destinationNumber
phoneNumber

The destination of the abbreviated number

name
string
—
surname
string
—

Response

200—successful operation

Example uses abbreviatedNumber = 0, billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber} \
  -H "authorization: Bearer $OVH_TOKEN"

List speed dial numbersProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/abbreviatedNumber

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/abbreviatedNumber \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a speed dial numberProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/abbreviatedNumber/{abbreviatedNumber}

Path parameters

abbreviatedNumber
required
integer

The abbreviated number which must start with "2" and must have a length of 3 or 4 digits

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200AbbreviatedNumbersuccessful operation
abbreviatedNumber
read-only
integer

The abbreviated number which must start with "2" and must have a length of 3 or 4 digits

destinationNumber
phoneNumber

The destination of the abbreviated number

name
string
—
surname
string
—

Example uses abbreviatedNumber = 0, billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/abbreviatedNumber/{abbreviatedNumber} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "abbreviatedNumber": 0, "destinationNumber": "string", "name": "string", "surname": "string"}

Create a speed dial numberProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/abbreviatedNumber

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

abbreviatedNumber
required
integer

The abbreviated number which must start with "2" and must have a length of 3 or 4 digits

destinationNumber
required
phoneNumber

The destination of the abbreviated number

name
required
string
—
surname
required
string
—

Response

200AbbreviatedNumbersuccessful operation
abbreviatedNumber
read-only
integer

The abbreviated number which must start with "2" and must have a length of 3 or 4 digits

destinationNumber
phoneNumber

The destination of the abbreviated number

name
string
—
surname
string
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/abbreviatedNumber \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "abbreviatedNumber": 0, "destinationNumber": "string", "name": "string", "surname": "string"}

Delete a speed dial numberProduction

DELETE
/1.0/telephony/{billingAccount}/line/{serviceName}/abbreviatedNumber/{abbreviatedNumber}

Path parameters

abbreviatedNumber
required
integer

The abbreviated number which must start with "2" and must have a length of 3 or 4 digits

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200—successful operation

Example uses abbreviatedNumber = 0, billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/abbreviatedNumber/{abbreviatedNumber} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a speed dial numberProduction

PUT
/1.0/telephony/{billingAccount}/line/{serviceName}/abbreviatedNumber/{abbreviatedNumber}

Path parameters

abbreviatedNumber
required
integer

The abbreviated number which must start with "2" and must have a length of 3 or 4 digits

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

abbreviatedNumber
read-only
integer

The abbreviated number which must start with "2" and must have a length of 3 or 4 digits

destinationNumber
phoneNumber

The destination of the abbreviated number

name
string
—
surname
string
—

Response

200—successful operation

Example uses abbreviatedNumber = 0, billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/abbreviatedNumber/{abbreviatedNumber} \
  -H "authorization: Bearer $OVH_TOKEN"

List automatic callsProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/automaticCall

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200string[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/automaticCall \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get an automatic callProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/automaticCall/{identifier}

Path parameters

billingAccount
required
string

The name of your billingAccount

identifier
required
string

Generated call identifier

serviceName
required
string
—

Response

200CallsGeneratedsuccessful operation
answerDatetime
read-only
stringdate-time

answer date

application
read-only
string

Application and dialplan running for call

applicationResult
read-only
string

end status of application

billingNumber
read-only
phoneNumber

billingNumber (service used)

callCreatedDatetime
read-only
stringdate-time

creation date of the call

callDuration
read-only
integer

call duration on seconds

callee
read-only
phoneNumber

number called

caller
read-only
phoneNumber

number where the call come from

dtmf
read-only
string

DTMF received during the call separate by commas

hangupCause
read-only
CallsGeneratorHangupCauseEnum

hangup cause

ValuesAccessInformationDiscardedAllottedTimeoutAttendedTransferBlindTransferCallAwardedbeingChannelTypeNotImplementedChannelUnacceptableCodeSip403BearerCapabilityNotAuthorizedCodeSip403IncomingCallsBarredCodeSip403OutgoingCallsBarredCodeSip404NoRouteToDestinationCodeSip404NoRouteToSpecifiedTransitNetworkCodeSip404UnallocatedNumberCodeSip408NoUserRespondingCodeSip410NumberChangedCodeSip410RedirectionToNewDestinationCodeSip480NoAnswerFromUserCodeSip480NormalUnspecifiedCodeSip480SubscriberAbsentCodeSip483ExchangeRoutingErrorCodeSip484InvalidNumberFormatAddressIncompleteCodeSip486UserBusyCodeSip487OriginatorCancelCodeSip488IncompatibleDestinationCodeSip488bearerCapabilityNotImplementedCodeSip501FacilitiesRejectedCodeSip501RequestedFacilityNotImplementedCodeSip501ServiceOrOptionNotImplementedUnspecifiedCodeSip502DestinationOutOfOrderCodeSip503BearerCapabilityNotPresentlyAvailableCodeSip503NetworkOutOfOrderCodeSip503NoCircuitChannelAvailableCodeSip503RequestedCircuitOrChannelNotAvailableCodeSip503SwitchingEquipmentCongestionCodeSip503TemporaryFailureCodeSip504RecoveryOnTimerExpiryCodeSip603CallRejectedCrashGatewayDownInformationElementOrParameterNonExistentOrNotImplementedInterworkingUnspecifiedInvalidCallReferenceValueInvalidInformationElementContentsInvalidMessageUnspecifiedLoseRaceManagerRequestMandatoryInformationElementIsMissingMediaTimeoutMessageNotCompatibleWithCallStateMessageNotCompatibleWithCallStateOrMessageTypeNonExistentOrNotImplementedMessageTypeNonExistentOrNotImplementedNormalCallClearingParameterNonExistentOrNotImplementedPassedOnNationalUsePickedOffPreEmptedProgressTimeoutProtocolErrorUnspecifiedRequestedFacilityNotSubscribedResponseToStatusInquiryServiceOrOptionNotAvailableUnspecifiedSystemShutdownUnknownOrCallUnfinishedUnspecifiedNoOtherCauseCodesApplicableUserChallengeUserNotRegistered
hangupDatetime
read-only
stringdate-time

hangup date

identifier
read-only
string

Generated call identifier

transferFrom
read-only
string

original call uuid if it's a transfer

uuid
read-only
string

unique call id

Example uses billingAccount = string, identifier = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/automaticCall/{identifier} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "answerDatetime": "2024-01-01T12:00:00Z", "application": "string", "applicationResult": "string", "billingNumber": "string", "callCreatedDatetime": "2024-01-01T12:00:00Z", "callDuration": 0, "callee": "string", "caller": "string", "dtmf": "string", "hangupCause": "AccessInformationDiscarded", "hangupDatetime": "2024-01-01T12:00:00Z", "identifier": "string", "transferFrom": "string", "uuid": "string"}

Make an automatic callProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/automaticCall

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

bridgeNumberDialplan
phoneNumber

Number to call if transfer in dialplan selected

calledNumber
required
phoneNumber

Number to call

callingNumber
phoneNumber

Optional, number where the call come from

dialplan
required
CallsGeneratorDialplanEnum

Dialplan used for the call

ValuesReadTextRequestAppointmentConfirmationRequestAppointmentConfirmationWithTransfer
isAnonymous
required
boolean

For anonymous call

playbackAudioFileDialplan
string

Name of the audioFile (if needed) with extention. This audio file must have been upload previously

timeout
integer

Timeout (in seconds). Default is 20 seconds

ttsTextDialplan
string

Text to read if TTS on dialplan selected

Response

200stringsuccessful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/automaticCall \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

List live callsDeprecated

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/calls

Deprecated since Mar 23, 2022, will be removed on Jun 23, 2022.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/calls \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a live callDeprecated

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/calls/{id}

Deprecated since Mar 23, 2022, will be removed on Jun 23, 2022.

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200OvhPabxHuntingQueueLiveCallssuccessful operation
agent
read-only
string

Name or number of the agent who answered the call

answered
read-only
stringdate-time

Answer date of the call

begin
read-only
stringdate-time

Begin date of the call

callerIdName
read-only
string

Name of the caller (or anonymous if unknown)

callerIdNumber
read-only
string

Phone number of the caller (or anonymous if unknown)

destinationNumber
read-only
string

Phone number called (in case of an outgoing call)

end
read-only
stringdate-time

End date of the call

id
read-only
integer
—
onHold
read-only
boolean

Whether or not the call is on hold

queue
read-only
string

Name of the queue of the call

state
read-only
OvhPabxHuntingLiveCallsStateEnum

Current state of the call

ValuesAnsweredWaiting

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/calls/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "agent": "string", "answered": "2024-01-01T12:00:00Z", "begin": "2024-01-01T12:00:00Z", "callerIdName": "string", "callerIdNumber": "string", "destinationNumber": "string", "end": "2024-01-01T12:00:00Z", "id": 0, "onHold": true, "queue": "string", "state": "Answered"}

Eavesdrop on a callDeprecated

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/calls/{id}/eavesdrop

Deprecated since Mar 23, 2022, will be removed on Jun 23, 2022.

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Request body (required)

number
required
phoneNumber

Phone number that will be called and bridged in the communication

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/calls/{id}/eavesdrop \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Hang up a callDeprecated

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/calls/{id}/hangup

Deprecated since Mar 23, 2022, will be removed on Jun 23, 2022.

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/calls/{id}/hangup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Toggle hold on a callDeprecated

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/calls/{id}/hold

Deprecated since Mar 23, 2022, will be removed on Jun 23, 2022.

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/calls/{id}/hold \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Intercept an unanswered callDeprecated

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/calls/{id}/intercept

Deprecated since Mar 23, 2022, will be removed on Jun 23, 2022.

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Request body (required)

number
required
phoneNumber

Phone number that will be called and that will intercept the communication

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/calls/{id}/intercept \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Transfer an answered callDeprecated

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/calls/{id}/transfer

Deprecated since Mar 23, 2022, will be removed on Jun 23, 2022.

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Request body (required)

number
required
phoneNumber

Phone number to whom the communication will be transfered

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/calls/{id}/transfer \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Whisper on a callDeprecated

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/calls/{id}/whisper

Deprecated since Mar 23, 2022, will be removed on Jun 23, 2022.

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Request body (required)

number
required
phoneNumber

Phone number that will be called and bridged in the communication

whisperingMode
required
OvhPabxWhisperingModeEnum

Whispering mode

ValuesWhisper to agent onlyWhisper to all participants

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/calls/{id}/whisper \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Start a call from the lineProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/click2Call

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

calledNumber
required
string
—
callingNumber
string
—
intercom
boolean

Activate the calling number in intercom mode automatically (pick up and speaker automatic activation).

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/click2Call \
  -H "authorization: Bearer $OVH_TOKEN"

List click2call usersProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/click2CallUser

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/click2CallUser \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a click2call userProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/click2CallUser/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200Click2CallUsersuccessful operation
creationDateTime
read-only
stringdate-time

Date when user was created

id
read-only
integer

Contact identifier

login
read-only
string

login of the click 2 call user

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/click2CallUser/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDateTime": "2024-01-01T12:00:00Z", "id": 0, "login": "string"}

Create a click2call userProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/click2CallUser

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

login
required
string

Name of the contact

password
required
stringpassword

The user password

Response

200integersuccessful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/click2CallUser \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
0

Delete a click2call userProduction

DELETE
/1.0/telephony/{billingAccount}/line/{serviceName}/click2CallUser/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/click2CallUser/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Change the user passwordProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/click2CallUser/{id}/changePassword

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Request body (required)

password
required
stringpassword

The password

Response

200—successful operation

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/click2CallUser/{id}/changePassword \
  -H "authorization: Bearer $OVH_TOKEN"

Start a call from the lineProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/click2CallUser/{id}/click2Call

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Request body (required)

calledNumber
required
string
—
callingNumber
string
—

Response

200—successful operation

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/click2CallUser/{id}/click2Call \
  -H "authorization: Bearer $OVH_TOKEN"

List call recordingsProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/records

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/records \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a call recordingProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/records/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200OvhPabxRecordsuccessful operation
agent
read-only
string

The agent number of the recorded call

callEnd
read-only
stringdate-time

The end date of the recorded call

callStart
read-only
stringdate-time

The begin date of the recorded call

callerIdName
read-only
string

The caller name of the recorded call

callerIdNumber
read-only
string

The caller number of the recorded call

destinationNumber
read-only
string

The destination number of the recorded call

duration
read-only
integer

The duration in seconds of the recorded call

fileUrl
read-only
string

The record sound url

id
read-only
integer
—

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/records/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "agent": "string", "callEnd": "2024-01-01T12:00:00Z", "callStart": "2024-01-01T12:00:00Z", "callerIdName": "string", "callerIdNumber": "string", "destinationNumber": "string", "duration": 0, "fileUrl": "string", "id": 0}

Delete a call recordingProduction

DELETE
/1.0/telephony/{billingAccount}/line/{serviceName}/records/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/records/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Get line statisticsDeprecated

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/statistics

Deprecated since Mar 17, 2022, will be removed on Jun 17, 2022.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Query parameters

timeframe
required
StatisticsTimeframeEnum

Available timeframes for statistics

Valuesdailyhourlymonthlyweeklyyearly
type
required
LineStatisticsTypeEnum

Types of statistics available for a line.

ValuesmaxDelaymaxJitterrtpMossumRtpLost

Response

200TimestampAndValuesuccessful operation
unit
string
—
values
TimestampAndValue[]
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/statistics \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "unit": "string", "values": [ { "timestamp": 0, "value": 0 } ]}

List traffic extractsProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/trafficExtracts

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/trafficExtracts \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a traffic extractProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/trafficExtracts/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200trafficExtractsuccessful operation
dateEnd
read-only
stringdate-time

The start date of the traffic extract

dateStart
read-only
stringdate-time

The start date of the traffic extract

fileSize
read-only
integer

The PCAP file size of the traffic extract

fileUrl
read-only
string

The PCAP URL of the traffic extract

id
read-only
integer

The id of the traffic extract

status
read-only
TaskStatusEnum

The status of the extract

Valuesdoingdoneerrorpausetodo

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/trafficExtracts/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "dateEnd": "2024-01-01T12:00:00Z", "dateStart": "2024-01-01T12:00:00Z", "fileSize": 0, "fileUrl": "string", "id": 0, "status": "doing"}

Start a traffic extractProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/trafficExtracts

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

dateEnd
required
stringdate-time

The end date of the traffic extract

dateStart
required
stringdate-time

The start date of the traffic extract

Response

200trafficExtractsuccessful operation
dateEnd
read-only
stringdate-time

The start date of the traffic extract

dateStart
read-only
stringdate-time

The start date of the traffic extract

fileSize
read-only
integer

The PCAP file size of the traffic extract

fileUrl
read-only
string

The PCAP URL of the traffic extract

id
read-only
integer

The id of the traffic extract

status
read-only
TaskStatusEnum

The status of the extract

Valuesdoingdoneerrorpausetodo

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/trafficExtracts \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "dateEnd": "2024-01-01T12:00:00Z", "dateStart": "2024-01-01T12:00:00Z", "fileSize": 0, "fileUrl": "string", "id": 0, "status": "doing"}

Delete a traffic extractProduction

DELETE
/1.0/telephony/{billingAccount}/line/{serviceName}/trafficExtracts/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/trafficExtracts/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

List schedulersProduction

GET
/1.0/telephony/{billingAccount}/scheduler

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/scheduler \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a schedulerProduction

GET
/1.0/telephony/{billingAccount}/scheduler/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200Schedulersuccessful operation
serviceName
read-only
string
—
timeZone
timeZone

Time zones available for scheduled events time definitions

ValuesEurope/BerlinEurope/BrusselsEurope/LondonEurope/MadridEurope/ParisEurope/Zurich

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/scheduler/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "serviceName": "string", "timeZone": "Europe/Berlin"}

Update a schedulerProduction

PUT
/1.0/telephony/{billingAccount}/scheduler/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

serviceName
read-only
string
—
timeZone
timeZone

Time zones available for scheduled events time definitions

ValuesEurope/BerlinEurope/BrusselsEurope/LondonEurope/MadridEurope/ParisEurope/Zurich

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/scheduler/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

List scheduler eventsProduction

GET
/1.0/telephony/{billingAccount}/scheduler/{serviceName}/events

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Query parameters

categories
SchedulerCategoryEnum

Filter the value of categories property (=)

Valuesholidaysscheduler1scheduler2scheduler3
dateEnd.from
stringdate-time

Filter the value of dateEnd property (>=)

dateEnd.to
stringdate-time

Filter the value of dateEnd property (<=)

dateStart.from
stringdate-time

Filter the value of dateStart property (>=)

dateStart.to
stringdate-time

Filter the value of dateStart property (<=)

Response

200string[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/scheduler/{serviceName}/events \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a scheduler eventProduction

GET
/1.0/telephony/{billingAccount}/scheduler/{serviceName}/events/{uid}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—
uid
required
string

The unique ICS event identifier

Response

200SchedulerEventsuccessful operation
categories
SchedulerCategoryEnum

The category of the event

Valuesholidaysscheduler1scheduler2scheduler3
dateEnd
stringdate-time

The ending date of the event

dateStart
stringdate-time

The beginning date of the event

description
string
—
title
string
—
uid
read-only
string

The unique ICS event identifier

Example uses billingAccount = string, serviceName = string, uid = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/scheduler/{serviceName}/events/{uid} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "categories": "holidays", "dateEnd": "2024-01-01T12:00:00Z", "dateStart": "2024-01-01T12:00:00Z", "description": "string", "title": "string", "uid": "string"}

Create a scheduler eventProduction

POST
/1.0/telephony/{billingAccount}/scheduler/{serviceName}/events

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

category
required
SchedulerCategoryEnum

The category of the event

Valuesholidaysscheduler1scheduler2scheduler3
dateEnd
required
stringdate-time

The ending date of the event

dateStart
required
stringdate-time

The beginning date of the event

description
string

The descritpion of the event

title
required
string

The title of the event

uid
string

The unique ICS event identifier

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/scheduler/{serviceName}/events \
  -H "authorization: Bearer $OVH_TOKEN"

Delete a scheduler eventProduction

DELETE
/1.0/telephony/{billingAccount}/scheduler/{serviceName}/events/{uid}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—
uid
required
string

The unique ICS event identifier

Response

200—successful operation

Example uses billingAccount = string, serviceName = string, uid = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/scheduler/{serviceName}/events/{uid} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a scheduler eventProduction

PUT
/1.0/telephony/{billingAccount}/scheduler/{serviceName}/events/{uid}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—
uid
required
string

The unique ICS event identifier

Request body (required)

categories
SchedulerCategoryEnum

The category of the event

Valuesholidaysscheduler1scheduler2scheduler3
dateEnd
stringdate-time

The ending date of the event

dateStart
stringdate-time

The beginning date of the event

description
string
—
title
string
—
uid
read-only
string

The unique ICS event identifier

Response

200—successful operation

Example uses billingAccount = string, serviceName = string, uid = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/scheduler/{serviceName}/events/{uid} \
  -H "authorization: Bearer $OVH_TOKEN"

Import an ICS calendarProduction

POST
/1.0/telephony/{billingAccount}/scheduler/{serviceName}/importIcsCalendar

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

url
required
string

The URL of your ICS formated calendar

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/scheduler/{serviceName}/importIcsCalendar \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

List call filtering servicesProduction

GET
/1.0/telephony/{billingAccount}/screen

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/screen \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get call filtering settingsProduction

GET
/1.0/telephony/{billingAccount}/screen/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200Screensuccessful operation
incomingScreenList
ScreenListChoosingEnum

Type of screen list

Valuesblacklistdisabledwhitelist
outgoingScreenList
ScreenListChoosingEnum

Type of screen list

Valuesblacklistdisabledwhitelist
serviceName
read-only
string
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/screen/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "incomingScreenList": "blacklist", "outgoingScreenList": "blacklist", "serviceName": "string"}

Update call filtering settingsProduction

PUT
/1.0/telephony/{billingAccount}/screen/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

incomingScreenList
ScreenListChoosingEnum

Type of screen list

Valuesblacklistdisabledwhitelist
outgoingScreenList
ScreenListChoosingEnum

Type of screen list

Valuesblacklistdisabledwhitelist
serviceName
read-only
string
—

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/screen/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

List filtering rulesProduction

GET
/1.0/telephony/{billingAccount}/screen/{serviceName}/screenLists

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/screen/{serviceName}/screenLists \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a filtering ruleProduction

GET
/1.0/telephony/{billingAccount}/screen/{serviceName}/screenLists/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200ScreenListsuccessful operation
callNumber
read-only
string
—
id
read-only
integer
—
nature
read-only
ScreenListNatureEnum

Nature of screen list

Valuesfaxinternationalservicesspecialvoicemail
status
read-only
string
—
type
read-only
ScreenListTypeEnum

Type of screen list

ValuesincomingBlackListincomingWhiteListoutgoingBlackListoutgoingWhiteList

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/screen/{serviceName}/screenLists/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "callNumber": "string", "id": 0, "nature": "fax", "status": "string", "type": "incomingBlackList"}

Create a filtering ruleProduction

POST
/1.0/telephony/{billingAccount}/screen/{serviceName}/screenLists

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

callNumber
string

The callNumber of the generic screen list

nature
required
ScreenListNatureEnum

The nature of the generic screen list

Valuesfaxinternationalservicesspecialvoicemail
type
required
ScreenListTypeEnum

The type of the generic screen list

ValuesincomingBlackListincomingWhiteListoutgoingBlackListoutgoingWhiteList

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/screen/{serviceName}/screenLists \
  -H "authorization: Bearer $OVH_TOKEN"

Delete a filtering ruleProduction

DELETE
/1.0/telephony/{billingAccount}/screen/{serviceName}/screenLists/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/screen/{serviceName}/screenLists/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

List time condition servicesProduction

GET
/1.0/telephony/{billingAccount}/timeCondition

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/timeCondition \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a time condition serviceProduction

GET
/1.0/telephony/{billingAccount}/timeCondition/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200GenericScreensuccessful operation
serviceName
read-only
string
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/timeCondition/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "serviceName": "string"}

List time conditionsProduction

GET
/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/condition

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/condition \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a time conditionProduction

GET
/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/condition/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200TimeConditionsuccessful operation
day
TimeConditionsDayEnum

Day of the time condition

Valuesfridayholidaymondaysaturdaysundaythursdaytuesdaywednesday
hourBegin
string
—
hourEnd
string
—
id
read-only
integer
—
policy
TimeConditionsPolicyEnum

Policy of the time condition

Valuesavailableslot1slot2slot3
status
string
—

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/condition/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "day": "friday", "hourBegin": "string", "hourEnd": "string", "id": 0, "policy": "available", "status": "string"}

Create a time conditionProduction

POST
/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/condition

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

day
required
TimeConditionsDayEnum

The day of the time condition

Valuesfridayholidaymondaysaturdaysundaythursdaytuesdaywednesday
hourBegin
required
string

The hour where the time condition begins (format : hhmm)

hourEnd
required
string

The hour where the time condition ends (format : hhmm)

policy
required
TimeConditionsPolicyEnum

The policy

Valuesavailableslot1slot2slot3

Response

200TimeConditionsuccessful operation
day
TimeConditionsDayEnum

Day of the time condition

Valuesfridayholidaymondaysaturdaysundaythursdaytuesdaywednesday
hourBegin
string
—
hourEnd
string
—
id
read-only
integer
—
policy
TimeConditionsPolicyEnum

Policy of the time condition

Valuesavailableslot1slot2slot3
status
string
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/condition \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "day": "friday", "hourBegin": "string", "hourEnd": "string", "id": 0, "policy": "available", "status": "string"}

Delete a time conditionProduction

DELETE
/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/condition/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/condition/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a time conditionProduction

PUT
/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/condition/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Request body (required)

day
TimeConditionsDayEnum

Day of the time condition

Valuesfridayholidaymondaysaturdaysundaythursdaytuesdaywednesday
hourBegin
string
—
hourEnd
string
—
id
read-only
integer
—
policy
TimeConditionsPolicyEnum

Policy of the time condition

Valuesavailableslot1slot2slot3
status
string
—

Response

200—successful operation

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/condition/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Get time condition optionsProduction

GET
/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/options

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200TimeConditionOptionssuccessful operation
slot1Number
string

Number associated to the first slot action

slot1Type
TimeConditionsSlotTypeEnum

Action type executed when the first slot is used

Valuesnumbervoicemail
slot2Number
string

Number associated to the second slot action

slot2Type
TimeConditionsSlotTypeEnum

Action type executed when the second slot is used

Valuesnumbervoicemail
slot3Number
string

Number associated to the third slot action

slot3Type
TimeConditionsSlotTypeEnum

Action type executed when the third slot is used

Valuesnumbervoicemail
status
TimeConditionsGlobalStatusEnum

Status of time conditions

Valuesdeleteddisabledenabled
timeout
TimeConditionsTimeoutEnum

Timeout value of the time condition

Values51015202530354045505560657075808590
unavailableNumber
string

Number associated to the unavailable slot action

unavailableType
TimeConditionsSlotTypeEnum

Action type executed when the unavailable slot is used

Valuesnumbervoicemail

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/options \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "slot1Number": "string", "slot1Type": "number", "slot2Number": "string", "slot2Type": "number", "slot3Number": "string", "slot3Type": "number", "status": "deleted", "timeout": 5, "unavailableNumber": "string", "unavailableType": "number"}

Update time condition optionsProduction

PUT
/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/options

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

slot1Number
string

Number associated to the first slot action

slot1Type
TimeConditionsSlotTypeEnum

Action type executed when the first slot is used

Valuesnumbervoicemail
slot2Number
string

Number associated to the second slot action

slot2Type
TimeConditionsSlotTypeEnum

Action type executed when the second slot is used

Valuesnumbervoicemail
slot3Number
string

Number associated to the third slot action

slot3Type
TimeConditionsSlotTypeEnum

Action type executed when the third slot is used

Valuesnumbervoicemail
status
TimeConditionsGlobalStatusEnum

Status of time conditions

Valuesdeleteddisabledenabled
timeout
TimeConditionsTimeoutEnum

Timeout value of the time condition

Values51015202530354045505560657075808590
unavailableNumber
string

Number associated to the unavailable slot action

unavailableType
TimeConditionsSlotTypeEnum

Action type executed when the unavailable slot is used

Valuesnumbervoicemail

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/options \
  -H "authorization: Bearer $OVH_TOKEN"